FaunOS

rpil | Τρί, 10/20/2009 - 12:44 | 2' | 26

Μια συμπαθέστατη διανομούλα, βασισμένη στο Arch, τράβηξε το ενδιαφέρον μου πριν λίγο καιρό.  Ονομάζεται FaunOS, αλλά δυστυχώς η ανάπτυξη της διανομής έχει σταματήσει.

Εν πάσει περιπτώσει, αποφάσισα να την περάσω σε κάποιον από τους σκληρούς μου δίσκους, καθώς διαπίστωσα ότι εκτός τα όμορφα γραφικά της, ήταν και πολύ γρήγορη!

Ο εγκαταστάτης άνοιξε μια κονσόλα, στην οποία έδωσα μια-δυο εντολές και ξεκίνησε να το περνάει.  Το παράξενο είναι ότι δεν μου ζήτησε ούτε name/pswd, ούτε partitioning, τίποτα!  Εγκαταστάθηκε μέσα σε 5-6 λεπτά!  Βλέποντας την επιφάνεια εργασίας, κατάλαβα ότι απλά πέρασε το liveCD στον σκληρό!  Υπάρχει ακόμα και το εικονίδιο του install!

Ασχέτως από αυτό, μου άρεσε και την κράτησα.  Το πρόβλημα είναι ότι δεν μπορώ να κάνω upgrade, ώστε να την συγχρονίσω με το Arch (να συνεχίσει ως Arch, αφού είναι στην ουσία fork του Arch για εγκατάσταση από USB.

Κάποια λεπτομέρεια μου διαφεύγει ώστε να το κάνω να παίρνει τις ενημερώσεις του Arch...

Καμιά ιδέα;

Φόρουμ
Δώσε αστέρια!
Σχόλια

Ανοίγω τον PacTrac και επιλέγω "Full System Upgrade".

Να τα μηνύματα που μου βγάζει η κονσόλα του pacman:

:: Synchronizing package databases...
 core is up to date
 extra                    437.1K    2.1K/s 00:03:24 [#####################] 100%
error: failed retrieving file 'community.db.tar.gz' from ftp.archlinux.org : Forbidden
 community                367.9K   29.8K/s 00:00:12 [#####################] 100%
 faunos is up to date
error: failed retrieving file 'unstable.db.tar.gz' from ftp.archlinux.org : Not Found
error: failed retrieving file 'unstable.db.tar.gz' from locke.suu.edu : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from mirrors.unixheads.org : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from ftp-linux.cc.gatech.edu : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from mirror.cs.vt.edu : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from mirrors.easynews.com : Not Found
error: failed retrieving file 'unstable.db.tar.gz' from ftp.ibiblio.org : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from holmes.umflint.edu : Not Found
error: failed retrieving file 'unstable.db.tar.gz' from mirror.neotuli.net : No address record
error: failed retrieving file 'unstable.db.tar.gz' from archlinux.c3sl.ufpr.br : Not Found
error: failed retrieving file 'unstable.db.tar.gz' from archlinux.c3sl.ufpr.br : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from ftp.las.ic.unicamp.br : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from gd.tuwien.ac.at : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from ftp.belnet.be : Network is unreachable
error: failed retrieving file 'unstable.db.tar.gz' from ftp.sh.cvut.cz : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'unstable.db.tar.gz' from ftp.estpak.ee : File unavailable (e.g., file not found, no access)
 unstable is up to date
:: Starting full system upgrade...

Στη συνέχεια με ρωτάει για κάποια πακέτα και του δίνω Yes σε όλα:

:: Replace iproute with core/iproute2? [Y/n] Υ
:: Replace man with core/man-db? [Y/n] Υ
:: Replace portmap with core/rpcbind? [Y/n] Υ
:: Replace amarok-base with extra/amarok? [Y/n] Υ
:: Replace amarok-engine-xine with extra/amarok? [Y/n] Υ
:: Replace aufs-utils with extra/aufs2-util? [Y/n] Υ
:: Replace bluez-libs with extra/bluez? [Y/n] Υ
:: Replace bluez-utils with extra/bluez? [Y/n] Υ
:: Replace esd with extra/esound? [Y/n] Υ
:: Replace libungif with extra/giflib? [Y/n] Υ
:: Replace gail with extra/gtk2? [Y/n] Υ
:: Replace kdebluetooth with extra/kbluetooth? [Y/n] Υ
:: Replace kdeaccessibility with extra/kde-meta-kdeaccessibility? [Y/n] Υ
:: Replace kdeadmin with extra/kde-meta-kdeadmin? [Y/n] Υ
:: Replace kdeartwork with extra/kde-meta-kdeartwork? [Y/n] Υ
:: Replace kdebase with extra/kde-meta-kdebase? [Y/n] Υ
:: Replace kdebindings with extra/kde-meta-kdebindings? [Y/n] Υ
:: Replace kdegames with extra/kde-meta-kdegames? [Y/n] Υ
:: Replace kdegraphics with extra/kde-meta-kdegraphics? [Y/n] Υ
:: Replace kdemultimedia with extra/kde-meta-kdemultimedia? [Y/n] Υ
:: Replace kdenetwork with extra/kde-meta-kdenetwork? [Y/n] Υ
:: Replace kdepim with extra/kde-meta-kdepim? [Y/n] Υ
:: Replace kdeutils with extra/kde-meta-kdeutils? [Y/n] Υ
:: Replace kde-common with extra/kdebase-workspace? [Y/n] Υ
:: Replace gwenview with extra/kdegraphics-gwenview? [Y/n] Υ
:: Replace arts with extra/kdelibs? [Y/n] Υ
:: Replace truecrypt-utils with extra/truecrypt? [Y/n] Υ
:: Replace xf86-video-amd with extra/xf86-video-geode? [Y/n] Υ
:: Replace xf86-video-via with extra/xf86-video-openchrome? [Y/n] Υ
Υwarning: ffmpeg: forcing upgrade to version 0.5-1
warning: libraw1394: forcing upgrade to version 2.0.4-1
warning: libxi: forcing upgrade to version 1.2.1-1
warning: sudo: forcing upgrade to version 1.7.2p1-1
warning: vi: forcing upgrade to version 050325-1
warning: xf86-video-mga: forcing upgrade to version 1.4.11-1

Και βλέπει μια καινούρια έκδοση του pacman στην οποία επίσης ζητάω αναβάθμιση:

Βγάζει ένα conflict και δεν προχωράει στην αναβάθμιση...

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Φαίνεται να μην έχεις πρόσβαση στο δίκτυο, ή οι διευθύνσεις των repo έχουν καταργηθεί. Πιθανότερο το τελευταίο. Αλλαξε address των repositories.

Τι κακό με εσάς να μην δύνετε ένα link για αυτό το οποίο παρουσιάζετε ??? τσ τσ τσ ...

FaunOS

--------------------------------------------------------------------

LawyersVoice.grLawyersVoice.gr - To forum των νέων δικηγόρων

Αν θες να ξεμπερδεύεις γρήγορα με τα conflict (με κάποιο ρίσκο βέβαια) δώσε

pacman -Sf paketopoukaneiconflict

ή και

pacman -Syuf

(κάτι που δεν έχω προσπαθήσει ποτέ και καλύτερα να το αποφύγεις...)

Για να αγνοείς τους server εκτός πχ των ελληνικών άλλαξε ως root το αρχείο /etc/pacman.d/mirrorlist και βάλε τον server που θες πρώτο, πχ το δικό μου έχει

Server = ftp://ftp.ntua.gr/pub/linux/archlinux/$repo/os/x86_64

στην πρώτη γραμμή.

Αν η διανομή είναι παλιά μπορεί το αρχείο mirrorlist να βρισκεται κάπου αλλού ή να έχει άλλο όνομα (μάλλον πάντως θα είναι στον /etc)

Αλήθεια, τί conflict κάνει? Αν δεν είναι ζωτικής σημασίας όπως kernels etc παράβλεψέ τα και εγκατέστησε μόνο τα προγράμματα που θές.

To mirrorlist είναι στο etc/pacman.d.  Αυτή που είχε ως default, είχε καμιά ...50αριά servers ανοικτούς.  Προσπάθησα να απομονώσω τον Ελληνικό σημαδεύοντας (#) τους υπόλοιπους, πείραξα σχετικά και το pacman.conf, αλλά ενώ μου κατέβασε κάποια πακετάκια και είχα αρχίσει ν' αναθαρρώ, ξαφνικά δεν ανοίγει η κονσόλα εγκατάστασης!  Έκανα επανεκκίνηση, τίποτα. Τι έπαθε, ρε γαμώτο;

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Καμιά ιδέα ρε παιδιά;

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Κατέβασα το .img αλλά δεν μου έτρεξε... Ίσως κατεβάσω το dvd άυριο...

Η "κονσόλα εγκατάστασης" είναι του faunos, έτσι? Ίσως η αναβάθμιση του pacman να προκάλεσε προβλήματα με το pactrac.

Άμα ανοίξεις το τερματικο (ctrl-alt-f1) και συνδεθείς ως root δεν έχεις πρόσβαση στο pacman? Κάνε την αναβάθμιση από εκεί, αν γίνεται. ( pacman -Syu )

Αν δεν βγάλεις άκρη και η "κονσόλα εγκατάστασης" είναι απαραίτητη, μια γρήγορη επανεγκατάσταση και "φτου ξανά κι απ' την αρχή" θα ήταν η δική μου αντίδραση :P

Κοίτα, η "εγκατάσταση" του λειτουρικού, γίνεται από μόνη της μέσα σε ...5 λεπτά!  Στην ουσία, μοιάζει σα να σου περνάει την "εικόνα" του live CD στον σκληρό δίσκο.  Με το κλικ στον εγκαταστάτη, θ' ανοίξει η κονσόλα, θα σε ρωτήσει σε ποιον σκληρό θέλεις να περάσεις τον faunOS και μετά αναλαμβάνει αυτό!  Δεν σου ζητάει να φτιάξεις ούτε καν λογαριασμό!  Φαίνεσαι ως "guest" και γίνεσαι root με "root"!  Πρέπει να φτιάξεις νέο user εκ των υστέρων.

Επειδή η διανομούλα είναι παλιά, κάποιοι servers έχουν πέσει.  Το κατέβαζα από μια πηγή και μου έσκαγε στο 42%! Τελικά βρήκα έναν άλλο server και κατέβηκε μια χαρά.  Το torrent επίσης δεν φορτώνει.

Πάντως, θα ήθελα να επαναφέρω την κονσόλα του PacTrac.  Είναι πολύ βολική.

Δεν με φοβίζει μια νέα εγκατάσταση.  Απλά, μόλις χθες ασχολήθηκα να ξαναφέρω στην επιφάνεια την Ultimate 2.3 της οποίας το grub μου είχε θάψει ο άτακτος faunos!

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Λοιπόν, πήγα μέσω κονσόλας.

[[email protected] guest]# pacman -Syu
:: Synchronizing package databases...
 core                      33.8K   37.4K/s 00:00:01 [#####################] 100%
 extra                    431.3K   91.4K/s 00:00:05 [#####################] 100%
 community                370.3K  143.1K/s 00:00:03 [#####################] 100%
error: failed to synchronize unstable:
:: Starting full system upgrade...
:: Replace iproute with core/iproute2? [Y/n] Y
:: Replace man with core/man-db? [Y/n] Y
:: Replace portmap with core/rpcbind? [Y/n] YSuYy
:: Replace amarok-base with extra/amarok? [Y/n] Y
:: Replace amarok-engine-xine with extra/amarok? [Y/n] Y
:: Replace aufs-utils with extra/aufs2-util? [Y/n] Y
:: Replace bluez-libs with extra/bluez? [Y/n] Y
:: Replace bluez-utils with extra/bluez? [Y/n] Y
:: Replace esd with extra/esound? [Y/n] Y
:: Replace libungif with extra/giflib? [Y/n] Y
:: Replace gail with extra/gtk2? [Y/n] Y
:: Replace kdeaccessibility with extra/kde-meta-kdeaccessibility? [Y/n] Y
:: Replace kdeadmin with extra/kde-meta-kdeadmin? [Y/n] Y
:: Replace kdeartwork with extra/kde-meta-kdeartwork? [Y/n] Y
:: Replace kdebase with extra/kde-meta-kdebase? [Y/n] Y
:: Replace kdebindings with extra/kde-meta-kdebindings? [Y/n] Y
:: Replace kdegames with extra/kde-meta-kdegames? [Y/n] Y
:: Replace kdegraphics with extra/kde-meta-kdegraphics? [Y/n] Y
:: Replace kdemultimedia with extra/kde-meta-kdemultimedia? [Y/n] Y
:: Replace kdenetwork with extra/kde-meta-kdenetwork? [Y/n] Y
:: Replace kdepim with extra/kde-meta-kdepim? [Y/n] Y
:: Replace kdeutils with extra/kde-meta-kdeutils? [Y/n] Y
:: Replace kde-common with extra/kdebase-workspace? [Y/n] Y
:: Replace gwenview with extra/kdegraphics-gwenview? [Y/n] Y
:: Replace arts with extra/kdelibs? [Y/n] Y
:: Replace truecrypt-utils with extra/truecrypt? [Y/n] Y
:: Replace xf86-video-amd with extra/xf86-video-geode? [Y/n] Y
:: Replace xf86-video-via with extra/xf86-video-openchrome? [Y/n] Y
warning: ffmpeg: forcing upgrade to version 0.5-1
warning: kdebase-runtime: local (4.3.2-1) is newer than extra (4.3.1-1)
warning: kdelibs-experimental: local (4.3.2-1) is newer than extra (4.3.1-1)
warning: libraw1394: forcing upgrade to version 2.0.2-1
warning: libxi: forcing upgrade to version 1.2.1-1
warning: oxygen-icons: local (4.3.2-1) is newer than extra (4.3.1-1)
warning: pygtk: forcing upgrade to version 2.14.1-4
warning: sudo: forcing upgrade to version 1.7.2p1-1
warning: vi: forcing upgrade to version 050325-1
warning: xf86-video-mga: forcing upgrade to version 1.4.11-1

:: pacman has detected a newer version of itself.
:: Do you want to cancel the current operation
:: and install the new pacman version now? [Y/n] Y
resolving dependencies...
looking for inter-conflicts...

Targets: xz-utils-4.999.9beta-1  libarchive-2.7.1-1  libfetch-2.25-1
         pacman-mirrorlist-20090616-1  pacman-3.3.1-1

Total Download Size:    1.31 MB
Total Installed Size:   3.88 MB

Proceed with installation? [Y/n] Y
:: Retrieving packages from core...
 xz-utils-4.999.9bet...   191.2K   75.6K/s 00:00:03 [#####################] 100%
 libarchive-2.7.1-1-i686  487.1K  113.5K/s 00:00:04 [#####################] 100%
 libfetch-2.25-1-i686      67.4K   82.9K/s 00:00:01 [#####################] 100%
 pacman-mirrorlist-2...     2.1K  672.3K/s 00:00:00 [#####################] 100%
 pacman-3.3.1-1-i686      597.7K  104.3K/s 00:00:06 [#####################] 100%
checking package integrity...
(5/5) checking for file conflicts                   [#####################] 100%
(1/5) installing xz-utils                           [#####################] 100%
(2/5) upgrading libarchive                          [#####################] 100%
(3/5) installing libfetch                           [#####################] 100%
(4/5) installing pacman-mirrorlist                  [#####################] 100%
warning: /etc/pacman.d/mirrorlist saved as /etc/pacman.d/mirrorlist.pacorig
(5/5) upgrading pacman                              [#####################] 100%
warning: /etc/pacman.conf installed as /etc/pacman.conf.pacnew
[[email protected] guest]#

Κανένας Archer?  Πήγε καλά;

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Ναι μια χαρά πήγε :) !!!

Αλλά δεν καταλαβαίνω το unstable γιατί το λέει..Για σιγουριά άνοιξε το αρχείο /etc/pacman.conf ως root και δες κάτω κάτω ποια repos εχεις..Κράτα τα core,extra και community.

Και μετά δοκίμασε upgrade..

To unstable το απενεργοποίησα χθες.  Υπήρχε "ανοικτό" στο pacman.conf, προφανώς από τους developers του FaunOS...

Θα το τσεκάρω το βράδυ και θα σου πω, Θάνο.

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Aυτό είναι το packman.conf μετά το upgrade.

#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
HoldPkg     = pacman glibc
# If upgrades are available for these packages they will be asked for first
SyncFirst   = pacman
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#XferCommand = /usr/bin/curl %u > %o
#CleanMethod = KeepInstalled

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options (all disabled by default)
#UseSyslog
#ShowSize
#UseDelta
#TotalDownload

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# Testing is disabled by default.  To enable, uncomment the following
# two lines.  You can add preferred servers immediately after the header,
# and they will be used before the default mirrors.
#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[extra]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[community]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#Server = file:///home/custompkgs

 

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Και αυτό ήταν πριν το upgrade.  Είχε και τις επιλογές larch και unstable όπως φαίνεται.  Το unstable το απομόνωσα για να μην μου βγάζει conflicts...

 

#
# /etc/pacman.conf
#
# See the pacman manpage for option directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#IgnorePkg   = archlinux-menus filesystem
HoldPkg     = pacman glibc
# If upgrades are available for these packages they will be asked for first
#SyncFirst   = pacman
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#
#[testing]
#Include = /etc/pacman.d/mirrorlist
#
#[compiz-fusion]

[core]
# Add your prefered servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[extra]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[community]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

#Server = http://compiz.dreamz-box.de/i686
#
#[faunos]
#Server = http://repo.faunos.com
#
#[larch]
#Server = ftp://archie.dotsrc.org/projects/archie/larch/larch4
#
[core]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[extra]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[community]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[unstable]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#Server = file:///home/custompkgs

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Το ερώτημα είναι:

Θα χρειαστεί να διαγράψω το παλιό pacman.conf και να μετονομάσω το νέο, από pacman.conf.pacnew σε pacman.conf;

Το ίδιο και με την mirrorlist την οποία μου έχει σώσει με το όνομα mirrorlist.pacorig;

Και, αν υπάρχει καμιά ιδέα για να φτιάξω ή να επανεγκαταστήσω το PacTrac ώστε να μου κατεβάζει τα πακέτα που επιθυμώ...

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Αν έχεις όρεξη για ψάξιμο δες αυτό : http://viewvc.faunos.com/viewvc.cgi/

Εγώ κατέβασα το PKGBUILD μαζί με τα άλλα αρχεία στο ν ίδιο φάκελο και έκανα επιτυχώς makepkg και pacman -U pactrac....

Βλέπω GUI και μπορώ να δώ τα προγράμματα που έχω εγκαταστήσει, όμως όταν πατήσω "Install" με πετάει στην αρχική οθόνη.... μάλλον το πρόβλημα που έχεις κι εσυ!!!

Αν τρέξω το pactrac από κονσόλα παίρνω μηνύματα λάθους:

java.io.IOException: Cannot run program "kstart": java.io.IOException: error=2, No such file or directory
    at java.lang.ProcessBuilder.start(ProcessBuilder.java:459)
    at java.lang.Runtime.exec(Runtime.java:593)
    at java.lang.Runtime.exec(Runtime.java:431)
    at java.lang.Runtime.exec(Runtime.java:328)
    at com.faunos.pactrac.console.ConsoleDialog.runCommand(ConsoleDialog.java:27)
    at com.faunos.pactrac.console.ConsoleDialog.<init>(ConsoleDialog.java:9)
    at com.faunos.pactrac.gui.RemovePackageDialog$4.actionPerformed(RemovePackageDialog.java:397)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
    at org.jvnet.substance.utils.RolloverButtonListener.mouseReleased(RolloverButtonListener.java:110)
    at java.awt.Component.processMouseEvent(Component.java:6263)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6028)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Window.dispatchEventImpl(Window.java:2475)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Caused by: java.io.IOException: java.io.IOException: error=2, No such file or directory
    at java.lang.UNIXProcess.<init>(UNIXProcess.java:148)
    at java.lang.ProcessImpl.start(ProcessImpl.java:65)
    at java.lang.ProcessBuilder.start(ProcessBuilder.java:452)
    ... 32 more
 

Tο πρώτο είναι λογικό αφού δεν έχω kde!

Τώρα, δεν ξέρω, τί μηνύματα λάθους παίρνεις εσύ? Με μια ματιά στο source code (pactrac/trunk/src/com/faunos/pactrac από το ίδιο site) βρήκα αρχεία όπως PacmanConf.java, το οποίο δεν μπορώ να καταλάβω(δεν ξέρω java). Μάλλον θα είναι δύσκολο να μεταγλωτίσσεις τον κώδικα ούτως ή άλλως....

 

Μια ιδέα που μου ήρθε τώρα (και λυπάμαι να σβήσω τα προηγούμενα) είναι να βάλεις τον pacman στην blacklist του pacman.conf πριν το πρώτο upgrade. Για δοκίμασε να κάνεις μια επανεγκατάσταση, βγάλε τον pacman από το SyncFirst, βάλτον στο IgnorePkg και ξανακάνε τα ίδια......

Σημαντικά μυνήματα λάθους, δεν παίρνω.  Όπως βλέπεις και παραπάνω, μου ολοκλήρωσε το upgrade του pacman επιτυχώς από την κονσόλα.  Το μόνο μου πρόβλημα είναι ότι με το πάτημα του "Install" στον PacTrac, δεν γίνεται τίποτα!  Μια επανεγκατάσταση δεν θα με βόλευε ιδιαίτερα σε αυτή τη φάση.

Αυτό που θέλω, είναι να επαναφέρω τον PacTrac που με εξυπηρετεί καλύτερα από την κονσόλα.  Βέβαια, μπορώ να βλέπω τα προγράμματα και να τα περνάω με κονσόλα, αλλά αφού υπάρχει το GUI και η αυτοματοποίηση του PacTrac,  γιατί να γίνεται μισή δουλειά;

Από την άλλη, μια ερώτηση για τους χρήστες Αrch: Πώς σε ενημερώνει το σύστημα για τα updates;

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Όχι εντάξει κράτα το νέο pacman.conf,μια χαρά είναι :).

Άποψη μου τώρα να μην χρησιμοποιείς το GUI πρόγραμμα που έχει για τις αναβαθμίσεις γιατί όλο προβλήματα έχεις...βγάλτο και χρησιμοποίησε την κονσόλα.

  • pacman -S πακέτο -- εγκατάσταση πακέτου
  • pacman -Syu -- συγχρονισμός με τα πακέτα και αναθάθμιση του συστήματος
  • pacman -R πακέτο -- απεγκατάσταση πακέτου

Pacman - Ένας πανίσχυρος package manager έχει τις βασικές εντολές για την κονσόλα ! Δεν βλέπω κανένα πρόβλημα,λογικά αυτά είναι προβλήματα απο το pactrac ή όπως αλλιώς λέγεται...

edit:

Δεν μας ενημερώνει,απλά κάνει όποτε θέλει ο καθένας,ανά τακτά χρονικά διαστήματα,ένα upgrade και είσαι έτοιμος...Πάντως ότι GUI έχει βγει για τον pacman ποτέ δεν ήταν κάτι τόσο καλό και αξιόπιστο,ώστε να μην υπάρχουν προβλήματα.

--------------------
happy_linux_downloads

Τότε ένα downgrade τον pacman? (δεν ξερω αν θα έχεις προβλήματα με αυτό)

Προσπάθησε pacman -U /var/cache/pacman/pkg/pacman -xxxxxxxxxxxx δίνοντας την χαμηλότερη έκδοση που έχεις στην cache (ελπίζω ότι δεν πρόλαβες να την καθαρίσεις!)

Ναι, το pactrac, όμως, δεν χρησιμοποιει τον pacman? Ή τουλάχιστον τα αρχεία με τους server του pacman? Αφού στον πηγαίο κώδικα είδα γραμμές που όριζε διάφορους φακέλους του pacman...

Ξέρω κι εγώ? Ιδέες λέω

(Πάντως κι εγώ μόνο με τον pacman είμαι ευχαριστημένος. Ειδικά με τα makepkg, abs etc κάνει το arch να ξεχωρίζει!)

(Από τότε που έκανα boot από το faunos usb stick (το οποίο δεν δούλεψε για άγνωστο λόγο: τα μηνύματα λάθους πέρασαν πολύ γρήγορα για να τα δω), κάθε φορά που ανοίγω το μηχάνημα, πριν δω τον grub, μου εμφανίζει ένα μήνυμα με χρονόμετρο το οποίο μετράει από το 10 στο 0 και λέει να πατήσω ESC για να κάνει boot, ή να περιμένω να περάσουν 10 δευτερα!

Ξέρει κανείς τι πρέπει να κάνω? Δεν καταλαβαίνω, δεν έχει σχέση με το MBR του δίσκου, έτσι?)

edit: ok, θεμα του bios ήταν τελικα ...

Θ' ακολουθήσω την συμβουλή του Θάνου.  Ας πάει στο καλό ο PacTrac!  Μου αρκεί που ενημερώθηκε το σύστημα, οπότε πιστεύω ότι θα μπορέσω να το συνεχίσω ως Arch πλέον!  Καλοσωρίστε με στους Archers!

Ένα άλλο θέμα τώρα.  Με εμφανίζει ως guest.  Γίνομαι root με su + root.  Να το αφήσω έτσι ή να φτιάξω νέο user;  Παίζει ρόλο ότι δεν μπορώ να μετακινήσω αντικείμενα επάνω στην επιφάνεια εργασίας; (φαντάζομαι ναι)

Και επίσης, σημαντικό:

Θα χρειαστεί να διαγράψω το παλιό pacman.conf και να μετονομάσω το νέο, από pacman.conf.pacnew σε pacman.conf;

Το ίδιο και με την mirrorlist την οποία μου έχει σώσει με το όνομα mirrorlist.pacorig;  Ή διαβάζει τα αρχεία με το νέο τους όνομα από μόνος του, οπότε και δεν χρειάζεται;

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Δεν είμαι και pro, αλλά καλώς ήρθες !!!

(Αλήθεια, το Gentoo τί λεέι?)

Από το manpage του pacman:

HANDLING CONFIG FILES
       Pacman uses the same logic as rpm to determine action against files
       that are designated to be backed up. During an upgrade, 3 md5 hashes
       are used for each backup file to determine the required action: one for
       the original file installed, one for the new file that’s about to be
       installed, and one for the actual file existing on the filesystem.
       After comparing these 3 hashes, the follow scenarios can result:

       original=X, current=X, new=X
           All three files are the same, so overwrites are not an issue
           Install the new file.

       original=X, current=X, new=Y
           The current file is the same as the original but the new one
           differs. Since the user did not ever modify the file, and the new
           one may contain improvements or bugfixes, install the new file.

       original=X, current=Y, new=X
           Both package versions contain the exact same file, but the one on
           the filesystem has been modified. Leave the current file in place.

       original=X, current=Y, new=Y
           The new file is identical to the current file. Install the new
           file.

       original=X, current=Y, new=Z
           All three files are different, so install the new file with a
           .pacnew extension and warn the user. The user must then manually
           merge any necessary changes into the original file.
 

Εγώ κατάλαβα ότι πρέπει εσύ να συγκρίνεις τα αρχεία και να κάνεις το overwrite αν νομίζεις. Πάντως, αν λειτουργεί, γιατι να το πειράξεις?

KDE3 δεν έχει? Νομίζω ότι αρκεί δεξί-κλικ στην επιφάνεια εργασίας>εικονίδια>ξεκλείδωμα ή κάτι τέτοιο.

Αν δεν σ'αρέσει να σε λένε guest, φτιάξε έναν χρήστη όπως λέει ο οδηγός του forum, σύντομα:

useradd -m -G users,wheel,audio,video,optical,storage,camera,floppy,lp -s /bin/bash neosxristis
passwd neosxristis

Αν η διανομή είναι καλή, δεν θα έχεις προβλήματα από εκεί και πέρα. Μάλλον αξίζει τον κόπο!

 Ιπποκράτη να σου πω την αλήθεια,ποτέ δεν τα έχω κάνει merge.. :Ρ Και ποτέ δεν είχα και κάποιο πρόβλημα ! Τα έχω εκεί σαν backup για όποτε χρειαστούν,αν και το σωστό είναι να γίνουν merge.αλλά προσωπικά βαριέμαι !

--------------------
happy_linux_downloads

spatman]

Δεν είμαι και pro, αλλά καλώς ήρθες !!!

(Αλήθεια, το Gentoo τί λεέι?)

...................................
 

Εγώ κατάλαβα ότι πρέπει εσύ να συγκρίνεις τα αρχεία και να κάνεις το overwrite αν νομίζεις. Πάντως, αν λειτουργεί, γιατι να το πειράξεις?

KDE3 δεν έχει? Νομίζω ότι αρκεί δεξί-κλικ στην επιφάνεια εργασίας>εικονίδια>ξεκλείδωμα ή κάτι τέτοιο.

Αν δεν σ'αρέσει να σε λένε guest, φτιάξε έναν χρήστη όπως λέει ο οδηγός του forum, σύντομα:

useradd -m -G users,wheel,audio,video,optical,storage,camera,floppy,lp -s /bin/bash neosxristis
passwd neosxristis

Αν η διανομή είναι καλή, δεν θα έχεις προβλήματα από εκεί και πέρα. Μάλλον αξίζει τον κόπο!

Ευχαριστώ για το καλωσόρισμα!

Σήμερα, μετά από τρεις κοπιαστικές ημέρες, κατάφερα να περάσω το νέο μου Gentoo, αφού το παλιό που είχα (2007), δεν έπαιρνε αναβάθμιση!  Λεπτομέρειες στην ενότητα του Gentoo!

Η ερώτηση που έκανα, αφορούσε στο νέο configuration του pacman, το οποίο βρίσκεται στον ίδιο φάκελλο με τον παλιό και ίσως χρειαστεί να τον μετονομάσω με το κανονικό όνομα του file.

Η διαδικασία για την δημιουργία του νέου χρήστη, είναι ακριβώς η ίδια που χρησιμοποιεί και το Gentoo.  Δεν μου είναι πρόβλημα.

Πιστεύω ότι η διανομούλα αξίζει πραγματικά και θα την συνεχίσω ως Arch πλέον...

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!

Άσχημα νέα από τον τραγοπόδαρο φίλο μας!  Με το πρώτο pacman -Syu που έδωσα μετά την αναβάθμιση, μου έβγαλε μήνημα ότι δεν βρίσκει repositories!  Επιχείρησα να φτιάξω χρήστη και μου έβγαλε ότι δεν μπορώ να βάλω άλλο password!  Κοίταξα και είδα ότι το partition του είναι πολύ μικρό και διαπίστωσα ότι δεν μπορώ να το μεγαλώσω!  Είναι απλά μια "εικόνα" live USB περασμένη στον σκληρό και γι' αυτό κρατούσε και το εικονίδιο της εγκατάστασης!

Με μεγάλη μου λύπη το αποχωρίστηκα, εγκαθιστώντας στην θέση του το ελπιδοφόρο Nova.

Ελπίζω να το ξαναζωντανέψουν οι developers που το ξεκίνησαν ή κάποιοι άλλοι μέσα από το Arch...

------------------------------------------------------------------------------------------------

"Όταν βλέπεις τον πιγκουίνο, ξέρεις τι πρέπει να κάνεις": ΒΑΖΕΙΣ LINUX!